package com.huigou.topsun.base.dictionary.controller;

import com.huigou.topsun.base.dictionary.GlobalCode;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.client.CommonController;
import com.huigou.util.SDO;
import org.springframework.stereotype.Controller;

@Controller
@ControllerMapping("/globalCode")
public class GlobalCodeController extends CommonController {

    public String revampGlobalCode(){
        SDO sdo = this.getSDO();
        String code = sdo.getString("dictionaryCode");
        GlobalCode.set(code);
        return success();
    }
}
